Bug 101264 - Random hangs with redhat 2.4.20 kernels
Random hangs with redhat 2.4.20 kernels
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-07-30 10:46 EDT by Rutger Noot
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rutger Noot 2003-07-30 10:46:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
The system randomly hangs after running smoothly for some days (including
several suspend/resume cycles, it's a laptop). This  is more frequent with
2.4.20-19.9 than with 2.4.20-8. Also (I tried this only with 2.4.20-8), booting
with acpi=off seems to make things worse. (Oddly so, as it has an apm bios, no

The lockups are extremely brutal, screen freezes and the system does not respond
to anything (no SysReq, no ping, not even BIOS functions like switching
internel<->external screen). Up to now, the hangs occured when I was not using
the computer, but each time the fan was running, which suggests that the
processor was working hard (endless loop?).

Version-Release number of selected component (if applicable):
kernel-2.4.20-8 and 2.4.20-19.9

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. Boot the computer
2. Wait a couple of days

Actual Results:  System hangs

Expected Results:  System keeps running until it is told to stop

Additional info:

I think this is the same bug as 97733 (RH 8.0 with kernel-2.4.20-18.8;
kernel-2.4.20-13.8 is OK)
Comment 1 Rutger Noot 2003-08-26 04:40:00 EDT
This bug persists under kernel-2.4.20-20.9
Comment 2 Bugzilla owner 2004-09-30 11:41:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.